<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Generos_model extends CI_Model {

	public function getGeneros(){
		$resultados = $this->db->get("Generos");
		return $resultados->result();
	}

	public function getGenero($idGenero){
		$this->db->where("id",$idGenero);
		$consulta = $this->db->get("Generos");
		return $consulta->row();
	}

	public function guardar($datos){
		return $this->db->insert("Generos",$datos);
	}

	public function update($idGenero,$datos){
		$this->db->where("id",$idGenero);
		return $this->db->update("Generos",$datos);
	}

	public function delete($id){
		$this->db->where("id",$id);
		return $this->db->delete("Generos");
	}
}
